<Project DefaultTargets="Build" ToolsVersion="3.5" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
  <PropertyGroup>
    <ProjectType>Local</ProjectType>
    <ProductVersion>8.0.50727</ProductVersion>
    <SchemaVersion>2.0</SchemaVersion>
    <ProjectGuid>{BDEB0771-D728-4CD0-A39A-9C3548733291}</ProjectGuid>
    <Configuration Condition=" '$(Configuration)' == '' ">Debug</Configuration>
    <Platform Condition=" '$(Platform)' == '' ">AnyCPU</Platform>
    <ApplicationIcon>
    </ApplicationIcon>
    <AssemblyKeyContainerName>
    </AssemblyKeyContainerName>
    <AssemblyName>ZANZILib</AssemblyName>
    <AssemblyOriginatorKeyFile>
    </AssemblyOriginatorKeyFile>
    <DefaultClientScript>JScript</DefaultClientScript>
    <DefaultHTMLPageLayout>Grid</DefaultHTMLPageLayout>
    <DefaultTargetSchema>IE50</DefaultTargetSchema>
    <DelaySign>false</DelaySign>
    <OutputType>Library</OutputType>
    <RootNamespace>ZANZILib</RootNamespace>
    <RunPostBuildEvent>OnBuildSuccess</RunPostBuildEvent>
    <StartupObject>
    </StartupObject>
    <FileUpgradeFlags>
    </FileUpgradeFlags>
    <OldToolsVersion>0.0</OldToolsVersion>
    <UpgradeBackupLocation>
    </UpgradeBackupLocation>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|AnyCPU' ">
    <OutputPath>bin\Debug\</OutputPath>
    <AllowUnsafeBlocks>false</AllowUnsafeBlocks>
    <BaseAddress>285212672</BaseAddress>
    <CheckForOverflowUnderflow>false</CheckForOverflowUnderflow>
    <ConfigurationOverrideFile>
    </ConfigurationOverrideFile>
    <DefineConstants>DEBUG;TRACE</DefineConstants>
    <DocumentationFile>
    </DocumentationFile>
    <DebugSymbols>true</DebugSymbols>
    <FileAlignment>4096</FileAlignment>
    <NoStdLib>false</NoStdLib>
    <NoWarn>
    </NoWarn>
    <Optimize>false</Optimize>
    <RegisterForComInterop>false</RegisterForComInterop>
    <RemoveIntegerChecks>false</RemoveIntegerChecks>
    <TreatWarningsAsErrors>false</TreatWarningsAsErrors>
    <WarningLevel>4</WarningLevel>
    <DebugType>full</DebugType>
    <ErrorReport>prompt</ErrorReport>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|AnyCPU' ">
    <OutputPath>bin\Release\</OutputPath>
    <AllowUnsafeBlocks>false</AllowUnsafeBlocks>
    <BaseAddress>285212672</BaseAddress>
    <CheckForOverflowUnderflow>false</CheckForOverflowUnderflow>
    <ConfigurationOverrideFile>
    </ConfigurationOverrideFile>
    <DefineConstants>TRACE</DefineConstants>
    <DocumentationFile>
    </DocumentationFile>
    <DebugSymbols>false</DebugSymbols>
    <FileAlignment>4096</FileAlignment>
    <NoStdLib>false</NoStdLib>
    <NoWarn>
    </NoWarn>
    <Optimize>true</Optimize>
    <RegisterForComInterop>false</RegisterForComInterop>
    <RemoveIntegerChecks>false</RemoveIntegerChecks>
    <TreatWarningsAsErrors>false</TreatWarningsAsErrors>
    <WarningLevel>4</WarningLevel>
    <DebugType>none</DebugType>
    <ErrorReport>prompt</ErrorReport>
  </PropertyGroup>
  <ItemGroup>
    <Reference Include="StrippedZipLib">
      <Name>StrippedZipLib</Name>
      <HintPath>StrippedZipLib.dll</HintPath>
    </Reference>
    <Reference Include="System">
      <Name>System</Name>
    </Reference>
    <Reference Include="System.Data">
      <Name>System.Data</Name>
    </Reference>
    <Reference Include="System.Drawing">
      <Name>System.Drawing</Name>
    </Reference>
    <Reference Include="System.Web">
      <Name>System.Web</Name>
    </Reference>
    <Reference Include="System.Windows.Forms">
      <Name>System.Windows.Forms</Name>
    </Reference>
    <Reference Include="System.Xml">
      <Name>System.XML</Name>
    </Reference>
  </ItemGroup>
  <ItemGroup>
    <Compile Include="cls\AssemblyInfo.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="cls\clsResource.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="cls\Core\Chatter\Chat.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="cls\Core\Chatter\ChatHandShake.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="cls\Core\Chatter\ChatManager.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="cls\Core\Chatter\ChatProcessData.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="cls\Core\Downloader\Downloader.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="cls\Core\Downloader\DownloadManager.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="cls\Core\Downloader\ReQuery.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="cls\Core\Gnutella2\ConnectionManager.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="cls\Core\Gnutella2\HostCache.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="cls\Core\Gnutella2\Protocol\Handshake.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="cls\Core\Gnutella2\Protocol\Messages.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="cls\Core\Gnutella2\Protocol\PacketFactory.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="cls\Core\Gnutella2\Protocol\ProcessData.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="cls\Core\Gnutella2\Protocol\QueryRouteTable.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="cls\Core\Gnutella2\Protocol\UDP.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="cls\Core\Gnutella2\Sck.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="cls\Core\Gnutella2\Search.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="cls\Core\Gnutella2\StartStop.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="cls\Core\Gnutella2\Ultrapeer.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="cls\Core\GUIBridge.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="cls\Core\HashEngine.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="cls\Core\Listener.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="cls\Core\Stats.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="cls\Core\UniQueryHit.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="cls\Core\Uploader\Uploader.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="cls\Core\Uploader\UploadManager.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="cls\Core\Utilities\Base32.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="cls\Core\Utilities\Endian.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="cls\Core\Utilities\FileType.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="cls\Core\Utilities\GoodTimer.cs">
      <SubType>Component</SubType>
    </Compile>
    <Compile Include="cls\Core\Utilities\guid.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="cls\Core\Utilities\Hashing.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="cls\Core\Utilities\HashSums.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="cls\Core\Utilities\IPfilter.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="cls\Core\Utilities\Keywords.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="cls\Core\Utilities\md4.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="cls\Core\Utilities\Utils.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="cls\Core\zanzi\clsIItem.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="cls\Core\zanzi\clsIProtocol.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="cls\Core\zanzi\clsIQuery.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="cls\Core\zanzi\clsIResult.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="cls\Core\zanzi\clsPropertyConverters.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="cls\Core\zanzi\clsZanziProtItemCharacteristic.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="cls\Core\zanzi\clsZanziProtQueryCrit.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="cls\Core\zanzi\clsZanziProtResultOne.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="cls\System\clsEmailListener.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="cls\System\clsExeption.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="cls\System\clsGlobalErr.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="cls\System\clsLog.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="cls\System\clsMain.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="stubs\clsResults.cs" />
    <Compile Include="stubs\clsXML.cs" />
  </ItemGroup>
  <ItemGroup>
    <ProjectReference Include="..\ZANZIRes\ZANZIRes.csproj">
      <Project>{3716EE82-F4AC-4D7B-B911-4519D2B9A526}</Project>
      <Name>ZANZIRes</Name>
    </ProjectReference>
  </ItemGroup>
  <Import Project="$(MSBuildBinPath)\Microsoft.CSharp.targets" />
  <PropertyGroup>
    <PreBuildEvent>
    </PreBuildEvent>
    <PostBuildEvent>
    </PostBuildEvent>
  </PropertyGroup>
</Project>